Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim
Class Simulator.MaskableInterrupt

    java.lang.Object
      avrora.sim.Simulator.MaskableInterrupt

All Implemented Interfaces:
  Simulator.Interrupt

Enclosing class:
  Simulator

public class Simulator.MaskableInterrupt
extends java.lang.Object
implements Simulator.Interrupt

Field Summary
`protected int` | `bit`
`protected Simulator.FlagRegister` | `flagRegister`
`protected int` | `interruptNumber`
`protected Simulator.MaskRegister` | `maskRegister`
`protected boolean` | `sticky`

Constructor Summary
`Simulator.MaskableInterrupt(int num, Simulator.MaskRegister mr, Simulator.FlagRegister fr, int b, boolean e)`

Method Summary
`void` | `fire()`
`void` | `force()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### interruptNumber

    protected final int interruptNumber

### maskRegister

    protected final Simulator.MaskRegister maskRegister

### flagRegister

    protected final Simulator.FlagRegister flagRegister

### bit

    protected final int bit

### sticky

    protected final boolean sticky

Constructor Detail

### Simulator.MaskableInterrupt

    public Simulator.MaskableInterrupt(int num,
                                       Simulator.MaskRegister mr,
                                       Simulator.FlagRegister fr,
                                       int b,
                                       boolean e)

Method Detail

### force

    public void force()

  Specified by:
    `force` in interface `Simulator.Interrupt`

### fire

    public void fire()

  Specified by:
    `fire` in interface `Simulator.Interrupt`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD